Template.postItem.helpers({
  ownPost: function ()  {
    // Template is invoked in the context of a Post, so 'this' is a Post.
    return this.userId === Meteor.userId();
  },

  domain: function () {
    var a = document.createElement('a');
    a.href = this.url;
    return a.hostname;
  }
});

Template.postItem.events({
  'click .upvote': function (e) {
    e.preventDefault();
    Meteor.call('upvote', this._id);
  }
});
